/****************************************************************************
**
** Copyright (C) 2019 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt Creator.
**
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 as published by the Free Software
** Foundation with exceptions as appearing in the file LICENSE.GPL3-EXCEPT
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
****************************************************************************/

#include <QApplication>
#include <QLabel>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QLabel label("<html><body>This should show <pre>some code\nin a fixed "
                 "font</pre>but for me it is shown in Times instead, and I get "
                 "the following application output:<pre>CoreText note: Set a "
                 "breakpoint on "
                 "CTFontLogSystemFontNameRequest to debug.\n"
                 "CoreText note: Client requested name \".SFNSMono-Regular\", "
                 "it will get Times-Roman rather than the intended font. All "
                 "system UI font access should be through proper APIs such as "
                 "CTFontCreateUIFontForLanguage() or +[NSFont "
                 "systemFontOfSize:].</pre></body></html>");
    label.show();
    return a.exec();
}
